
Figure - Bug #116843
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT】【AUDIO】副屏电话会议时没有声音
2023-03-09 16:58 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-09

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 修改VOIP单独为数据slot3中的信息沟通。

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、使用飞书或者企业微信等进行电话会议

【预期结果】

1、可以听到声音

【实际结果】

1、副屏电话会议时没有声音

Related issues:

Related to Figure - Bug # 117090: 【AF】【FW】收到QQ语音消息后，连续多次点... CLOSED 2023-03-22

Related to Figure - Bug # 115180: 【AF】【EVT】【控制中心】点击结束屏幕录制... CLOSED 2023-01-09 2023-02-23

History

#1 - 2023-03-09 17:08 - CD MM唐驭俊

- Assignee changed from CD MM唐驭俊 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-03-10 13:45 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

Hi 永红

请在副屏执行以下命令后，复现并提供日志，请标识一下发生的时间，而且该问题复现概率是怎样的？

adb shell setprop log.tag.APM_AudioPolicyManager V

#3 - 2023-03-10 16:16 - CD TEST-方永红

- File voice.txt added

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山
#4 - 2023-03-10 18:20 - Multimedia组-RD3_TSCD 梁卿山

Hi All，

■我的分析

当前分析到，在通话时，设备没有成功打开。

03-09 07:25:25.489   798  2478 D audio_route: Apply path: audio-record-voip

03-09 07:25:25.489  1264  1304 I adsprpcd: vendor/qcom/proprietary/adsprpc/src/apps_std_imp.c:848: Successfully opened file

/vendor/dsp/adsp/smecns_v2_module_fv9.so.1

01-01 14:12:27.842     0     0 E adm_callback: cmd = 0x1035d returned error = 0x3 ★★★

01-01 14:12:27.842     0     0 E adm_apr_send_pkt: DSP returned error[ADSP_EUNSUPPORTED]

01-01 14:12:27.842     0     0 I __afe_port_start: port id: 0xb037

01-01 14:12:27.842     0     0 I afe_find_cal_topo_id_by_port: port id: 0xb037, dev_acdb_id: 11

01-01 14:12:27.842     0     0 I afe_find_cal_topo_id_by_port: port id: 0xb037, dev_acdb_id: 11

01-01 14:12:27.842     0     0 I afe_find_cal_topo_id_by_port: top_id:112fb acdb_id:11 afe_port_id:0xb037

01-01 14:12:27.842     0     0 I afe_get_cal_topology_id: port_id = 0xb037 acdb_id = 11 topology_id = 0x112fb cal_type_index=8 ret=0

01-01 14:12:27.842     0     0 I afe_send_port_topology_id: AFE set topology id 0x112fb  enable for port 0xb037 ret 0

01-01 14:12:27.842     0     0 I send_afe_cal_type: cal_index is 1

01-01 14:12:27.842     0     0 I send_afe_cal_type: dev_acdb_id177 is 11

01-01 14:12:27.842     0     0 I afe_find_cal: cal_index 1 port_id 0xb037 port_index 177

01-01 14:12:27.842     0     0 I afe_find_cal: acdb_id 11 dev_acdb_id 11 sample_rate 48000 afe_sample_rates 48000

01-01 14:12:27.842     0     0 I afe_find_cal: cal block is a match, size is 0

01-01 14:12:27.842     0     0 I send_afe_cal_type: Sending cal_index cal 1

01-01 14:12:27.842     0     0 E send_afe_cal_type: No cal sent for cal_index 1, port_id = 0xb037! ret -22

01-01 14:12:27.842     0     0 I afe_send_hw_delay: port_id 0xb037 rate 48000 delay_usec 578 status 0

01-01 14:12:27.848     0     0 E set_cps_config: get_wsa_dev_num is NULL

03-09 07:25:25.504   798  2478 D audio_hw_primary: select_devices: done

01-01 14:12:27.848     0     0 I __afe_port_start: port id: 0xb000

03-09 07:25:25.506   798  2478 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1 ★★★

由以上日志可以看出，在开启设备时，adsp中出现报错，导致设备无法打开。

■下一步

麻烦audio-bsp的同事分析一下，谢谢

#5 - 2023-03-10 18:32 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP何伟

#6 - 2023-03-13 10:03 - CD BSP何伟

这个问题的原因与之前的游戏卡顿一样，都是由于usecase的配置不正确导致的，更改usecase的配置应该就能解决问题

待验证

#7 - 2023-03-13 10:20 - CD BSP-杜磊

- Assignee changed from CD BSP何伟 to CD BSP-唐金泽

#8 - 2023-03-13 17:32 - CD TPM-王祥林

- Category changed from AUDIO-FW to BSP

#9 - 2023-03-17 15:38 - CD BSP-唐金泽

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED
- Verified Version set to 配置音频链路到TDM数据

配置音频链路到TDM数据；

梳理音频链路配置；

为音频链路和TDM配置相匹配。

在王营那的台架测试：

飞书会议可以听到对方声音

飞书内音频文件正常出声

以上测试皆为在关闭音频焦点情况下，AMP通过混音方式进行播放。

#10 - 2023-03-17 15:42 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to CD TEST-方永红

hi ,永红，

请带中控音频焦点故障解决的版本时，再验证会议通话的内容。

注：

1.之前验证时，没有MIC，只测试出音。

2.可以区分一下是否音频焦点影响的不出声音。

（规避方法，关闭焦点功能，单独验证会议通话。）

3.或验证是只剩焦点问题，请重启 bug,请卿山继续跟进。

#11 - 2023-03-20 16:08 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD Test赵飞

#12 - 2023-03-21 17:31 - CD Test赵飞

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山

3/21号release版本验证，情况如下：

    -  连接中控的情况下：

飞书通话中，扬声器没有声音输出

    -  禁用音频焦点的情况下，连接蓝牙耳机：

飞书通话中，对端声音从蓝牙耳机输出

请继续分析，谢谢

#13 - 2023-03-22 18:50 - CD BSP-杜磊

- Category changed from BSP to AUDIO-FW

#14 - 2023-03-22 18:56 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to BSP

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP-唐金泽

Hi 金泽
经过确认，该问题在中控关闭情况下，通话链路未正常，请继续分析，谢谢！

#15 - 2023-04-03 13:36 - CD BSP-唐金泽

背景：

音频三方通话故障：

语音通话无声音

https://share.thundersoft.com/redmine/issues/116843

屏幕录制ANR

https://share.thundersoft.com/redmine/issues/117090

QQ通话无法接起

https://share.thundersoft.com/redmine/issues/115180

解决方式：配置音频链路

1、TDM_IN slot5-8 作为mic输入；

2、TDM_IN slot1-2 作为台架参考音；

（实际1-4都是参考音，QC只支持2channel参考音，4 channel需要额外license）

3、TDM_OUT slot1-2作为FSEM的SPEAKER输出；

4、因VOIP的DSP能力需求，必须统一使用16bit-width的数据进行采集和输出；

（实际是24bit-width的data输入，之前设置是32bit-wdith进行采集）

验证：

VB：http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3152/

语音通话、音频播放、三方应用播放、录音、录屏(设备播放音，外部录音)；

功能验证正常。

#16 - 2023-04-03 15:20 - CD BSP-唐金泽

- Category changed from BSP to AUDIO-FW

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CD Test赵飞

- Root cause set to 音频链路因设计问题

已修改

请使用2023-04-03后的DB进行测试

#17 - 2023-04-04 13:41 - CD Test赵飞

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102

中控版本：0066

语音电话时没有声音从扬声器输出（副屏播放音乐可以正常输出声音）

中控侧强制修改音源为FSE后，副屏语音电话仍然没有声音输出

副屏侧关闭音频焦点控制后，语音电话声音可以从扬声器输出

@梁卿山，如沟通，麻烦继续分析一下

#18 - 2023-04-04 16:52 - Multimedia组-RD3_TSCD 梁卿山
HI ALL，

■ 当前分析

当前测试情况如下：

该问题必现，问题发生时，

焦点申请正常，并且中控回复正常，应用行为正常；

然后，我们抓了QXDM进行分析，

RX:1586 有声

1531 有声

1530 有声

152F 有声

根据目前现象，副屏的上层到底层是通的，

后续需要中控来看为什么不允许副屏出声。

#19 - 2023-04-08 17:01 - CDTS-TEST 周婷

- Severity changed from Normal to Critical

#20 - 2023-04-10 19:54 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL，

目前总结，

手顺：

【前提条件】

1、设备与中控连接（中控版本66，副屏版本88）

【测试步骤】

1、使用飞书或者企业微信等进行电话会议

【预期结果】

1、可以听到声音

【实际结果】

1、副屏电话会议时没有声音，听不到对象机的声音，可以听到测试机的声音。

当前测试情况如下：

该问题必现，问题发生时，

焦点申请正常，并且中控回复正常，应用行为正常；

然后，我们抓了QXDM进行分析，

RX:1586 有声

1531 有声

1530 有声

152F 有声

根据目前现象，副屏的上层到底层是通的，

根据进一步沟通，该问题需要外部AMP进行分析该问题。

#21 - 2023-04-17 16:11 - 物联网测试组_TSCD 王维
关联jira bug编号20047  【IOV测试】【VC1】【SORP】【声音竞合】【实车306】副屏进入电话会议无声音输出

#22 - 2023-04-19 20:51 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前客户那边给AMP版本无法验证，升不了级，该问题暂时无法验证。

#23 - 2023-04-26 10:51 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

使用中控72版本，副屏94版本进行测试，副屏语音通话使用功放时，依然没有声音；

已经反馈给客户。

#24 - 2023-05-06 11:37 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP-唐金泽

Hi 金泽

当前问题需要audio-bsp和功放共同调试，请继续check，谢谢！

#25 - 2023-05-11 08:53 - CD BSP-唐金泽

- Resolution changed from FIXED to --

- Verified Version deleted (配置音频链路到TDM数据)

- Root cause deleted (音频链路因设计问题

已修改)

上周5最新中控策略变化。Media通道（TDM， slot1-2），语音通话会议（VOIP，slot3），在本周1-3进行修改验证。

FSE音频:语音通话时，已切换音频数据(slot1-2 -> slot3)，从硬件波形上，验证完成。

实际台架测试，语音功能amp端还是没有声音。

版本同步到大连中控端MCU，他调试IDCM的MCU，已经听到声音，把最新的mcu固件发来。我们再做验证即可。

#26 - 2023-05-11 14:43 - CD BSP-唐金泽

- File HA1_APP0 fse tel ok.hex added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 修改VOIP单独为数据slot3中的信息沟通。

中控使用0078版本；

再刷新中控MCU，HA1_APP0 fse tel ok.hex

AMP使用版本：007 版本；
副屏，VB添加patch:199074 199078 199080

经以上环节验证，底层音频数据已经可以正常输出数据，VOIP过程中，AMP-Speaker and Mic链路都是通的。

待Jenkins数据验证通过后，可以进行入库。

**注：除底层音频通路外，仍有焦点问题，影响语音通话后，其他media内容的播放。

此为焦点请求过程中的问题，和 卿山 沟通，建议单独起票进行跟进。

#27 - 2023-05-17 21:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

5.17

中控0080、副屏0100

验证通过

#28 - 2023-05-17 21:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

voice.txt 5.19 MB 2023-03-10 CD TEST-方永红

HA1_APP0 fse tel ok.hex 4.01 MB 2023-05-11 CD BSP-唐金泽
